%define explorer explorer

Name:		bzr-explorer
Version:	1.0.2
Release:	2%{?dist}
Summary:	Graphical application for using Bazaar

Group:		Development/Tools
License:	GPLv2+
URL:		http://launchpad.net/%{name}
Source0:	http://launchpad.net/%{name}/1.0/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-distutils-extra
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

Requires:	qbzr >= 0.18
Requires:	bzr >= 2.1.2

%description
Bazaar Explorer is a desktop application for using the
Bazaar Version Control System. It provides a high level
interface to all commonly used features.

If you want to use different action dialogs, you can
additionally install bzr-gtk.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}

#use the icon from the main bzr package
sed -i 's/\#Icon/Icon/' %{name}.desktop

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%{__python} setup.py install --skip-build --root %{buildroot}

#put the locale in the right place
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{python_sitelib}/bzrlib/plugins/%{explorer}/locale %{buildroot}%{_datadir}

%find_lang %{explorer}


%clean
rm -rf %{buildroot}


%files -f %{explorer}.lang
%defattr(-,root,root,-)
%{python_sitelib}/bzrlib/plugins/%{explorer}/
%{python_sitelib}/*.egg-info
%{_datadir}/applications/%{name}.desktop
%doc README.txt COPYING.txt NEWS doc


%changelog
* Fri Jul 30 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.2-2
- Rebuild for python-2.7

* Thu Jun 03 2010 Julian Aloofi <julian at, fedoraproject.org> 1.0.2-1
- updated to latest upstream version
- removed the patch for the locales, it's upstreamed (https://bugs.launchpad.net/bzr-explorer/+bug/585942)
- removed the workaround for the desktop file version, it's upstreamed (https://bugs.launchpad.net/bzr-explorer/+bug/585590)

* Sat May 29 2010 Julian Aloofi <julian at, fedoraproject.org> 1.0.1-3
- changed the summary again
- use the bzr icon
- a clearer description

* Fri May 28 2010 Julian Aloofi <julian at, fedoraproject.org> 1.0.1-2
- added a macro for explorer
- inserted several macros
- using glob for the egg-info
- changed the summary to one used by upstream and other distribution

* Tue May 25 2010 Julian Aloofi <julian at, fedoraproject.org> 1.0.1-1
- initial package
